> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bedrock.quarry-systems.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Scope Type Hierarchy Edge

> Create a parent-child relationship between two scope types

## Request Body

<ParamField body="parentTypeId" type="string" required>
  The parent scope type ID
</ParamField>

<ParamField body="childTypeId" type="string" required>
  The child scope type ID
</ParamField>

## Response

Returns the created type hierarchy edge object.

<Note>
  This defines which scope types can be parents of other scope types. For example, an "Organization" type can be a parent of a "Team" type.
</Note>

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST 'https://api.example.com/scope-type-hierarchy' \
    -H 'Authorization: Bearer YOUR_TOKEN' \
    -H 'Content-Type: application/json' \
    -d '{
      "parentTypeId": "type_org",
      "childTypeId": "type_team"
    }'
  ```

  ```javascript Node.js theme={null}
  const axios = require('axios');

  const { data } = await axios.post('https://api.example.com/scope-type-hierarchy', {
    parentTypeId: 'type_org',
    childTypeId: 'type_team',
  }, {
    headers: { 'Authorization': 'Bearer YOUR_TOKEN' },
  });
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "id": "type_edge_123",
    "parentTypeId": "type_org",
    "childTypeId": "type_team"
  }
  ```
</ResponseExample>
